# Record Class SyTextMouseInteraction

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyTextMouseInteraction

Record Components:
  `interactionKind` - The kind of interaction
  `locationStart` - The location at the start of the interaction
  `locationNow` - The location now

public record SyTextMouseInteraction(SyTextMouseInteraction.Kind interactionKind, SyTextLocationType locationStart, SyTextLocationType locationNow) extends Record
A mouse interaction with a text view.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SyTextMouseInteraction.Kind`
  The kind of interaction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyTextMouseInteraction(SyTextMouseInteraction.Kind interactionKind, SyTextLocationType locationStart, SyTextLocationType locationNow)`
  A mouse interaction with a text view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `SyTextMouseInteraction.Kind`
  `interactionKind()`
  Returns the value of the `interactionKind` record component.
  `SyTextLocationType`
  `locationNow()`
  Returns the value of the `locationNow` record component.
  `SyTextLocationType`
  `locationStart()`
  Returns the value of the `locationStart` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyTextMouseInteraction

    public SyTextMouseInteraction(SyTextMouseInteraction.Kind interactionKind, SyTextLocationType locationStart, SyTextLocationType locationNow)
    A mouse interaction with a text view.
    Parameters:
      `interactionKind` - The kind of interaction
      `locationStart` - The location at the start of the interaction
      `locationNow` - The location now

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### interactionKind

    public SyTextMouseInteraction.Kind interactionKind()
    Returns the value of the `interactionKind` record component.
    Returns:
      the value of the `interactionKind` record component

  - ### locationStart

    public SyTextLocationType locationStart()
    Returns the value of the `locationStart` record component.
    Returns:
      the value of the `locationStart` record component

  - ### locationNow

    public SyTextLocationType locationNow()
    Returns the value of the `locationNow` record component.
    Returns:
      the value of the `locationNow` record component